# iosfwd File Reference

## Detailed Description

This is a Standard C++ Library header.

Definition in file iosfwd.

Go to the source code of this file.

## Namespaces

- namespace std

## Defines

- #define _GLIBCXX_IOSFWD

## Typedefs

- typedef basic_filebuf< char > filebuf
- typedef basic_fstream< char > fstream
- typedef basic_ifstream< char > ifstream
- typedef basic_ios< char > ios
- typedef basic_iostream< char > iostream
- typedef basic_istream< char > istream
- typedef basic_istringstream<
  char > istringstream
- typedef basic_ofstream< char > ofstream
- typedef basic_ostream< char > ostream
- typedef basic_ostringstream<
  char > ostringstream
- typedef basic_streambuf< char > streambuf
- typedef basic_stringbuf< char > stringbuf
- typedef basic_stringstream<
  char > stringstream
- typedef basic_filebuf< wchar_t > wfilebuf
- typedef basic_fstream< wchar_t > wfstream
- typedef basic_ifstream< wchar_t > wifstream
- typedef basic_ios< wchar_t > wios
- typedef basic_iostream< wchar_t > wiostream
- typedef basic_istream< wchar_t > wistream
- typedef basic_istringstream<
  wchar_t > wistringstream
- typedef basic_ofstream< wchar_t > wofstream
- typedef basic_ostream< wchar_t > wostream
- typedef basic_ostringstream<
  wchar_t > wostringstream
- typedef basic_streambuf< wchar_t > wstreambuf
- typedef basic_stringbuf< wchar_t > wstringbuf
- typedef basic_stringstream<
  wchar_t > wstringstream